Payment links
Get Payment Link By Source Reference
Retrieve a single payment link owned by the authenticated business using the merchant source reference.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sourceReference*string
Response Body
application/json
curl -X GET "https://example.com/api/v1/payment-link/find-by-source-reference/SRC_PLK_001"{
"requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
"requestTimestamp": "2026-03-25 09:15:00",
"message": "Payment link fetched successfully.",
"statusCode": 200,
"data": {
"id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
"createdAt": "2026-03-25 09:15:00",
"linkName": "Invoice payment",
"linkUrl": "https://app.example.com/pay/PLK_ABC123456",
"amount": {},
"status": "Active",
"narration": "Payment for March invoice",
"businessState": "live",
"reference": "PLK_ABC123456",
"sourceReference": "SRC_PLK_001",
"feeBearer": "MERCHANT"
}
}Empty
How is this guide?